#ifndef _APL_WF_FOLDER_TREE_ITEM_H_
#define _APL_WF_FOLDER_TREE_ITEM_H_

#include "aplTreeItem.h"

class CaplWfFolderTreeItem: public CaplTreeItem
{
public:
	CaplWfFolderTreeItem(CTreeCtrl *tree= 0, CPSMDoc *doc= 0);
    bool GetName(CString &name);
    bool RefreshItem();
    bool CreateTreeItem(HTREEITEM parent_item);
	bool Expand(UINT action);
	void ShowProperties();
	bool ShowInListCtrl(CListCtrl *list);
	void ShowCmd(long cmd);
	//void ShowToolBarButton(CToolBarCtrl *tb);
	BOOL ShowToolBarButton(CCmdUI* pCmdUI);
    bool TrackPopupMenu(CWnd *wnd, CPoint &point, UINT view_mode= APLICM_NORMALE);
	
public:
	void ShowProcesses();
	void ShowWfFolderContent();
	void ShowTasks();
	void ShowProcessTemplates();
	CString m_name;
	aplExtent m_items;
};

#endif //_APL_PROCESS_FOLDER_TREE_ITEM_H_